Skip to end of metadata
Go to start of metadata

Notes de version pour Apache OpenOffice 4.1.3

Remarques Générales

Apache OpenOffice 4.1.3 est une version de maintenance incorporant des corrections de bogues importants, des correctifs de sécurité, des dictionnaires mis à jour, et des correctifs à la structure du code. Tous les utilisateurs d'Apache OpenOffice 4.1.2 ou antérieur sont invités à installer cette mise à jour. Vous pouvez  télécharger Apache OpenOffice 4.1.3 comme d'habitude. Examiner ces Notes de version pour apprendre ce qui est nouveau dans cette version, ainsi que des remarques importantes concernant les problèmes connus et leurs solutions.

Améliorations / Extensions

Bogues fixés

  • BZ 126622 Base 4.1.2 n'ouvre pas les tables et les requêtes sous Mac OSX. Cette régression de la 4.1.2, corrigée en 4.1.3, affectait toutes les tables et les requêtes des bases de données sous Mac OSX.

    • Le correctif du problème de sécurité  CVE-2016-1513,  auparavant uniquement fourni dans le code source et comme patch d'urgence, est incorporé dans la distribution binaire 4.1.3. Voir BZ 127045 Respecter les contrats de l’API Polygon au moment de l'exécution.

  • BZ 127100   La version Windows utilise maintenant une version mise à jour, et plus sûr, NSIS.

Pour un aperçu complet de tous les problèmes résolus, voir dans la  liste dans Bugzilla.

Support linguistique

  • Apache OpenOffice prend en charge les mêmes langues que les versions précédentes.

  • Aucune traduction n'a été mise à jour.

  • Les dictionnaires suivant ont été mis à jour:

English (en_GB)English (en_US)

 

German (de)German Austria (de_AT)German Switzerland (de_CH)
Dutch (nl)French (fr)Italian (it)
Spanish (es)Romanian (ro)Russian (ru)
Khmer (km)Scottish Gaelic (gd)Basque (eu)
Slovanian (sl)Norwegian (no)Swedish (sv)
Portuguese European (pt_PT)Catalan (ca_XV)

 

Pour une liste complète des langues disponibles et des modules linguistiques voir la page web de téléchargement (sélectionner la langue dans la zone de liste déroulante)

Plate-formes compatibles

Les binaires sont encore fournis pour les mêmes plate-formes que les versions précédentes d'Apache OpenOffice :

  • Windows
  • Mac OS X
  • Linux 32-bit (RPM et DEB)
  • Linux 64-bit (RPM et DEB)

Problèmes connus

  • Mac OS X:
    • Apache OpenOffice 4.1.3 sera marqué par l'installation de GateKeeper sous Mac OS X. C'est une nouvelle fonctionnalité pour aider à se prémunir contre les logiciels malveillants sur les systèmes Mac récents.
      • Pour Mac OS X jusqu'à 10.11 "El Capitan" For Mac OS X up to 10.11 "El Capitan": Il y a une procédure décrite à l'adresse suivante pour permettre l’exécution des applications non installées depuis le Mac App Store. Voir l' article support Mac.
      • Pour Mac OS X 10.12 "Sierra" : Depuis le Finder, Control-Clic ou Clic droit sur l'icone de l'application. Sélectionner Ouvrir depuis le menu contextuel supérieur. Cliquer Ouvrir dans la boite de dialogue. Si vous êtes invité, entrer un nom d'administrateur et le mot de passe. Ceci n'est nécessaire que la première fois que vous démarrez Apache OpenOffice.
    • En raison d'un bogue connu dans les installations Java d'Oracle (Oracle Java ), Apache OpenOffice sur OSX, sans la version Java 6 d'Apple ne sera pas en mesure  de reconnaitre Java 7, 8 et 9 d'Oracle. Le contournement jusqu'à la résolution du bogue Java, est d'installer la version héritée d'Apple à partir du lien suivant :  Legacy Apple Java 6. Cela permettra aux modules de AOO qui ont besoin de Java de fonctionner correctement.
  • Pour les développeurs :
    • Le paquet de code source de Apache OpenOffice 4.1.3 ne peut pas être installé sous les versions 32 bits d'Ubuntu 14.04 et autres distributions similaires. La source ne parvient pas à s’assembler dans le Maint/svl avec ce message d’erreur : undefined reference to `__stack_chk_fail '. Cela peut être contourné en copiant/collant la commande qui échoue et l’exécutant manuellement avec le commutateur "-lc" (comme le symbole __stack_chk_fail manquant est présent dans libc, mais l’éditeur de liens ne recherche pas là).

    • Le SDK OpenOffice ne peut pas être utilisé avec Java 8. Soit vous utilisez --disable-odk ou chercher d’autres solutions possibles dans les archives de la liste des développeurs.

Informations d'Installation

Les instructions d’installation peuvent être trouvées à cette adresse : http://www.openoffice.org/download/common/instructions.html

Restez informé sur Apache OpenOffice

Nous vous encourageons à vous inscrire à la liste de diffusion des annonces Apache OpenOffice pour recevoir des notifications importantes : telles que les mises à jour des produits et des correctifs de sécurité. Pour vous abonner, vous pouvez envoyer un courriel à : announce-subscribe@openoffice.apache.org.

Vous pouvez aussi suivre le projet sur Twitter, Facebook et Google+.

  • No labels